<ion-header>
  <ion-toolbar>
    <section class="ion-padding">
      <ion-row>
        <ion-col size="12" class="vertical-align ion-text-end ion-justify-content-end">
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="notification-icon">
            <img src="assets/icon/notification.png">
          </div>
        </ion-col>
      </ion-row>
    </section>
  </ion-toolbar>
</ion-header>
<ion-content class="ion-padding-horizontal">
  <ion-row>
    <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
      <section class="class-banner">
        <ion-row>
          <ion-col size="9">
            <ion-row>
              <ion-col size="12">
                <ion-text class="banner-title">
                  Wallet
                </ion-text>
              </ion-col>
              <ion-col size="12" class="no-padding-bottom">
                <ion-text class="banner-subtitle">
                  See your points
                </ion-text>
              </ion-col>
              <ion-col size="6">
                <ion-progress-bar color="primary" value="0.7"></ion-progress-bar>
              </ion-col>
            </ion-row>
          </ion-col>
          <ion-col size="3" class="ion-margin-bottom">
            <div class="banner-image">
              <img src="assets/icon/wallet-filled-money-tool.png">
            </div>
          </ion-col>
        </ion-row>
      </section>
    </ion-col>
  </ion-row>
  <section class="ion-padding-vertical">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12">
            <ion-text class="sub-title">
              My Points
            </ion-text>
          </ion-col>
          <ion-col size="6" *ngFor="let point of points; let i = index">
            <ion-card class="points-card">
              <ion-row>
                <ion-col size="3" class="vertical-align point-image">
                  <img [src]="point.image">
                </ion-col>
                <ion-col size="9" class="vertical-align">
                  <ion-row>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="point-title">
                        {{point.title}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12" class="no-padding-top">
                      <ion-text class="price">
                        ₹ {{point.price}}
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>
        <ion-row class="ion-padding-vertical">
          <ion-col size="12">
            <ion-text class="sub-title">
             Earn Points and Unlock Content
            </ion-text>
          </ion-col>
          <ion-col size="12" *ngFor="let earnPoint of earnPoints; let i = index">
            <ion-card class="earn-point-card">
              <ion-row>
                <ion-col size="2" class="vertical-align">
                  <div class="earn-point-image">
                    <img [src]="earnPoint.image">
                  </div>
                </ion-col>
                <ion-col size="8" class="vertical-align ion-justify-content-start ion-text-start">
                  <ion-row>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="earn-point-title">
                        {{earnPoint.title}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12" class="no-padding-top">
                      <ion-text class="super-sub-title">
                        + {{earnPoint.content}}
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
                <ion-col size="2" class="vertical-align">
                  <ion-text class="earn-point">
                    + {{earnPoint.point}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>

      </ion-col>
    </ion-row>
  </section>

</ion-content>
